Skip to main content
GET
Search NFT stacks

Path Parameters

chain_name
string
required

The name of chain

Example:

"imtbl-zkevm-testnet"

Query Parameters

contract_address
string[]
required

List of contract addresses to filter by

Required array length: 1 - 20 elements
Pattern: ^0x[a-fA-F0-9]{40}$
account_address
string

Account address to filter by

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xe9b00a87700f660e46b6f5deaa1232836bcc07d3"

only_include_owner_listings
boolean

Whether to the listings should include only the owner created listings

Example:

true

only_if_has_active_listings
boolean

Filters results to include only stacks that have a current active listing. False and 'null' return all unfiltered stacks.

Example:

true

traits
string

JSON encoded traits to filter by. e.g. encodeURIComponent(JSON.stringify({"rarity": {"values": ["common", "rare"], "condition": "eq"}}))

keyword
string

Keyword to search NFT name and description. Alphanumeric characters only.

Example:

"sword"

payment_token
string

Filters the active listings, bids, floor listing and top bid by the specified payment token, either the address of the payment token contract or 'NATIVE'

Example:

"NATIVE"

sort_by
enum<string>

Sort results in a specific order

Available options:
cheapest_first
page_size
integer<int32>
default:100

Number of results to return per page Maximum number of items to return

Required range: 1 <= x <= 200
Example:

10

page_cursor
string

Encoded page cursor to retrieve previous or next page. Use the value returned in the response.

Example:

"ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0="

Response

200 response

Search stacks result

result
object[]
required

List of stack bundles

page
object
required

Pagination properties